function FSlist = FeatureSelection_BuildFrom1600(options);
%
d.bRemoveSum = 0;
d.bRemoveDx = 1;
d.bRemoveDy = 1;
d.bRemoveLap = 0; %Unused
d.bRemoveSky = 0; %Unused
d.bRemoveColTex = 0;
d.bRemoveBTRS = 0;
d.bRemovePosition = 0;
d.bRemoveNearby = 0;
if(not(exist('options'))),options = [];end
options = ResolveMissingOptions(options,d);

BL = 120;%blockLength;
MaskSum = 1:3:120;
MaskDy = 2:3:120;
MaskDx = 3:3:120;
MaskNearby = repmat([ones(1,9),zeros(1,6)],8);
MaskNearby = find(MaskNearby);

InLayerMask = zeros(1,120);
if(~options.bRemoveSum)
  InLayerMask(MaskSum) = 1;
end
if(~options.bRemoveDx)
  InLayerMask(MaskDx) = 1;
end
if(~options.bRemoveDy)
  InLayerMask(MaskDy) = 1;
end
if(options.bRemoveNearby)
  InLayerMask(MaskNearby) = 0;
end
OfLayerMask = zeros(1,10);
OfLayerMask(1:6) = ~options.bRemoveColTex;
OfLayerMask(7:10) = ~options.bRemoveBTRS;

FSlist = zeros(1,1600);
for i = 1:length(OfLayerMask)
  if(OfLayerMask(i))
     FSlist(((i-1) * 120 + 1):((i) * 120)) = InLayerMask;
  end
end
if(~options.bRemovePosition)
   FSlist(1201:1600) = 1;
end
